#ifndef KEY_H
#define KEY_H

#include <QComboBox>
#include <QFont>
#include <QHBoxLayout>
#include <QPainter>
#include <QVBoxLayout>
#include <QWidget>
#include "DiagInterface.h"
#include "Scancodes.h"

class Key: public QWidget
{
    Q_OBJECT

    public:
        Key(DiagInterface &diag, int col, int row, unsigned char scancode,
                QWidget *parent = 0);
        unsigned char scancode(void);
        void setPressed(bool val);

    protected:
        virtual void paintEvent(QPaintEvent *event);

    private:
        DiagInterface &diag;
        int col;
        int row;
        QComboBox *scancodeCombo;
        bool pressed;

    private slots:
        void scancodeComboIndexChanged(int index);
};

#endif
